.custom-animated-button-992 {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 10px 15px;
  gap: 10px;
  background-color: var(--clr, #7808d0);
  color: #fff;
  border-radius: 40px;
  font-weight: 600;
  border: none;
  cursor: pointer;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
  text-decoration: none !important;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.116);
  min-height: 40px;
}

.custom-animated-button-992:hover {
  background-color: var(--bg-hover-color, #a1ff14);
  color: var(--text-hover-color, #131313);
  border-radius: 80px;
}

.custom-animated-button-992 .svgIcon-wrapper {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 1em;
  height: 1em;
  overflow: hidden;
  transition: background-color 0.3s ease;
}

.custom-animated-button-992 .svgIcon {
  position: absolute;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  width: 100%;
  height: 100%;
  transition: transform 0.5s ease-in-out;
}

.custom-animated-button-992 .svgIcon--copy {
  transform: translateY(150%);
}

.custom-animated-button-992:hover .svgIcon {
  transform: translateY(-150%);
}

.custom-animated-button-992:hover .svgIcon--copy {
  transform: translateY(0);
}

.custom-animated-button-992 .btn-text {
  text-decoration: none !important;
}

.custom-animated-button-992:focus,
.custom-animated-button-992:visited,
.custom-animated-button-992:active {
  text-decoration: none !important;
}